' Figure out the path to the settings file

'rem ### Copyright (10/21/2009) (8/17/2011) Intel Corporation All Rights Reserved.        ##
'rem ###                                                                                   ##
'rem ### The source code, information and material ("Material") contained herein is        ##
'rem ### owned by Intel Corporation or its suppliers or licensors, and title to such       ##
'rem ### Material remains with Intel Corporation or its suppliers or licensors. The        ##
'rem ### Material contains proprietary information of Intel or its suppliers and           ##
'rem ### licensors. The Material is protected by worldwide copyright laws and treaty       ##
'rem ### provisions. No part of the Material may be used, copied, reproduced, modified,    ##
'rem ### published, uploaded, posted, transmitted, distributed or disclosed in any way     ##
'rem ### without Intel's prior express written permission. No license under any patent,    ##
'rem ### copyright or other intellectual property rights in the Material is granted to     ##
'rem ### or conferred upon you, either expressly, by implication, inducement, estoppel     ##
'rem ### or otherwise. Any license under such intellectual property rights must be         ##
'rem ### express and approved by Intel in writing.                                         ##
'
'rem ### Unless otherwise agreed by Intel in writing, you may not remove or alter          ##
'rem ### this notice or any other notice embedded in Materials by Intel or Intels         ##
'rem ### suppliers or licensors in any way.    

Dim objShell, objFSO, objFile
Dim colSettings
Dim strSettingsFile, strSupportFileXML, strBatchFile, strBatchFileName, strMyDir, strFullFileName, strPathName

Set colSettings = CreateObject("Scripting.Dictionary")
Set objShell = CreateObject("WScript.shell")
Set objFSO = CreateObject("Scripting.FileSystemObject")

strMyDir = LEFT(Wscript.ScriptFullName,(LEN(Wscript.ScriptFullName)-LEN(Wscript.ScriptName)))

strSettingsFile = strMyDir & "\settings.xml"
strSupportFileXML = strMyDir & "\files.xml"
strBatchFileName = strMyDir & "\set_MCLS.bat"

'If this file exists read what's there.
if objFSO.FileExists(strSettingsFile) Then
 GetXMLData(strSettingsFile)
else
 wscript.echo "Missing " & strSettingsFile
 wscript.quit(1)
end if

strFullFileName = colSettings.item("d79ed1b4-07a5-4aee-b426-63b3161c3e7a")
strPathName = LEFT(strFullFileName,(LEN(strFullFileName)-LEN("scan.exe")))

strBatchFile = "" & _
 "@echo off" & vbCrLf & _
 vbCrLf & _
 "set MCLS=" & strPathName & vbCrLf & _
 ":end" & vbCrLf & _
 ""

' Write the file
' Initialize the File System Object
Set objFSO = CreateObject("Scripting.FileSystemObject")
' Does the file exist
if objFSO.FileExists (strBatchFileName) then
 ' Open the file
 set objFile = objFSO.OpenTextFile (strBatchFileName, 2)
else
 ' Create a new file
 set objFile = objFSO.CreateTextFile(strBatchFileName,1)
end if

objFile.Write (strBatchFile)
objFile.Close
 
' Clean up
set objFile = nothing
set objFSO = nothing
set objShell = nothing

wscript.echo "Success"

Function GetXMLData(strFileName)
 Dim strTMP
 Dim xmlDoc, x
 
 Set xmlDoc=CreateObject("Microsoft.XMLDOM")
 xmlDoc.async="false"
 xmlDoc.load(strFileName)
 For Each x in xmlDoc.documentElement.childNodes
  colSettings.Item(x.nodename) = x.text
 Next

End Function